package pwc.taxtech.atms.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import pwc.taxtech.atms.constant.enums.EnumModule;
import pwc.taxtech.atms.dto.PagingResultDto;
import pwc.taxtech.atms.dto.vatdto.InputVATInvoiceDto;
import pwc.taxtech.atms.vat.service.impl.FileUploadAdapter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.core.Response;

import static pwc.taxtech.atms.constant.Constant.USER_ID_FOR_UPLOAD;

@RestController
@RequestMapping("/api/v1/FileUpload")
public class FileUploadController {
    @Autowired
    private FileUploadAdapter fileUploadAdapter;

    @RequestMapping(value = "NewFile", method = RequestMethod.POST, produces = MediaType.MULTIPART_FORM_DATA_VALUE)
    public ResponseEntity getInputInvoiceTreeViewData(MultipartHttpServletRequest request) {
        return fileUploadAdapter.upload(request,EnumModule.TrailBalance, USER_ID_FOR_UPLOAD);
    }
}
